crashpad::ExceptionPorts::ExceptionHandlerVector Class Reference

Wraps `std::vector<ExceptionHandler>`, providing proper cleanup of the send rights contained in each element’s ExceptionHandler::port. More...

`#include "util/mach/exception_ports.h"`

## Public Types

using | VectorType = std::vector< ExceptionHandler >

## Public Member Functions

VectorType::const_iterator | begin () const
VectorType::const_iterator | end () const
VectorType::size_type | size () const
bool | empty () const
VectorType::const_reference | operator[] (VectorType::size_type index) const
void | push_back (VectorType::value_type &value)
void | clear ()

## Detailed Description

Wraps `std::vector<ExceptionHandler>`, providing proper cleanup of the send rights contained in each element’s ExceptionHandler::port.

Upon destruction or clear(), an object of this class will deallocate all send rights it contains. Otherwise, it is an interface-compatible drop-in replacement for `std::vector<ExceptionHandler>`. Note that non-`const` mutators are not provided to avoid accidental Mach right leaks.

The documentation for this class was generated from the following files:

- util/mach/exception_ports.h
- util/mach/exception_ports.cc